io.vertx.ext.consul

## Class Node

- java.lang.Object
- - io.vertx.ext.consul.Node

-     public class Node
      extends Object

  Author:
    Ruslan Sennov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Node()` Default constructor
    `Node(JsonObject json)` Constructor from JSON
    `Node(Node other)` Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getAddress()` Get node address
    `String` | `getDatacenter()` Get node datacenter
    `String` | `getId()` Get node id
    `String` | `getLanAddress()` Get node lan address
    `String` | `getName()` Get node name
    `Map<String,String>` | `getNodeMeta()` Get node meta
    `String` | `getWanAddress()` Get node wan address
    `int` | `hashCode()`
    `Node` | `setAddress(String address)` Set node address
    `Node` | `setDatacenter(String datacenter)` Set node datacenter
    `Node` | `setId(String id)` Set node id
    `Node` | `setLanAddress(String lanAddress)` Set node lan address
    `Node` | `setName(String node)` Set node name
    `Node` | `setNodeMeta(Map<String,String> nodeMeta)` Set node meta
    `Node` | `setWanAddress(String wanAddress)` Set node wan address
    `JsonObject` | `toJson()` Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Node

          public Node()

      Default constructor

    - #### Node

          public Node(Node other)

      Copy constructor
      Parameters:
        `other` - the one to copy

    - #### Node

          public Node(JsonObject json)

      Constructor from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON

    - #### getId

          public String getId()

      Get node id
      Returns:
        node id

    - #### getName

          public String getName()

      Get node name
      Returns:
        node name

    - #### getAddress

          public String getAddress()

      Get node address
      Returns:
        node address

    - #### getLanAddress

          public String getLanAddress()

      Get node lan address
      Returns:
        node lan address

    - #### getWanAddress

          public String getWanAddress()

      Get node wan address
      Returns:
        node wan address

    - #### getDatacenter

          public String getDatacenter()

      Get node datacenter
      Returns:
        node datacenter

    - #### getNodeMeta

          public Map<String,String> getNodeMeta()

      Get node meta
      Returns:
        node meta

    - #### setId

          public Node setId(String id)

      Set node id
      Parameters:
        `id` - node id
      Returns:
        reference to this, for fluency

    - #### setName

          public Node setName(String node)

      Set node name
      Parameters:
        `node` - node name
      Returns:
        reference to this, for fluency

    - #### setAddress

          public Node setAddress(String address)

      Set node address
      Parameters:
        `address` - node address
      Returns:
        reference to this, for fluency

    - #### setLanAddress

          public Node setLanAddress(String lanAddress)

      Set node lan address
      Parameters:
        `lanAddress` - node lan address
      Returns:
        reference to this, for fluency

    - #### setWanAddress

          public Node setWanAddress(String wanAddress)

      Set node wan address
      Parameters:
        `wanAddress` - node wan address
      Returns:
        reference to this, for fluency

    - #### setDatacenter

          public Node setDatacenter(String datacenter)

      Set node datacenter
      Parameters:
        `datacenter` - node datacenter
      Returns:
        reference to this, for fluency

    - #### setNodeMeta

          public Node setNodeMeta(Map<String,String> nodeMeta)

      Set node meta
      Parameters:
        `nodeMeta` - node nodeMeta
      Returns:
        reference to this, for fluency

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2022 Eclipse. All rights reserved.